{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_tylo.swim": {
      "states": {
        "default": {
          "animations": [
            {
              "swimming": "query.is_in_water"
            },
            {
              "beached": "!query.is_in_water"
            }
          ]
        }
      }
    },
    "controller.animation.pr_tylo.attack": {
      "states": {
        "default": {
          "transitions": [
            {
              "attack": "query.is_delayed_attacking"
            }
          ],
          "blend_transition": 0.3
        },
        "attack": {
          "animations": [
            {
              "attack": "query.is_in_water"
            }
          ],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            }
          ],
          "blend_transition": 0.3
        }
      }
    }
  }
}